Package org.apache.batchee.extras.flat

## Class FlatFileItemReader

- java.lang.Object
- - org.apache.batchee.extras.transaction.CountedReader
  - - org.apache.batchee.extras.flat.FlatFileItemReader

- All Implemented Interfaces:
    `javax.batch.api.chunk.ItemReader`

      public class FlatFileItemReader
      extends CountedReader
      implements javax.batch.api.chunk.ItemReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.extras.transaction.CountedReader

      `items`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlatFileItemReader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `protected Object` | `doRead()` |
    `protected boolean` | `isComment​(String line)` |
    `void` | `open​(Serializable checkpoint)` |
    `protected Object` | `preReturn​(String rawLine, long lineNumber)` |

    - ### Methods inherited from class org.apache.batchee.extras.transaction.CountedReader

      `checkpointInfo, incrementCount, incrementReaderCount, readItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.batch.api.chunk.ItemReader

      `checkpointInfo, readItem`

- - ### Constructor Detail

    - #### FlatFileItemReader

          public FlatFileItemReader()

  - ### Method Detail

    - #### open

          public void open​(Serializable checkpoint)
                    throws Exception

      Specified by:
        `open` in interface `javax.batch.api.chunk.ItemReader`
      Overrides:
        `open` in class `CountedReader`
      Throws:
        `Exception`

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `javax.batch.api.chunk.ItemReader`
      Throws:
        `Exception`

    - #### doRead

          protected Object doRead()
                           throws Exception

      Specified by:
        `doRead` in class `CountedReader`
      Throws:
        `Exception`

    - #### isComment

          protected boolean isComment​(String line)

    - #### preReturn

          protected Object preReturn​(String rawLine,
                                     long lineNumber)